PipeWire 1.4.8

Loading...
Searching...
No Matches
buffer.h File Reference
SPA » Buffers

spa/buffer/buffer.h More...

Go to the source code of this file.

## Data Structures
struct | spa_chunk
| Chunk of memory, can change for each buffer. More...
struct | spa_data
| Data for a buffer this stays constant for a buffer. More...
struct | spa_buffer
| A Buffer. More...

## Macros
#define | SPA_API_BUFFER static inline
#define | SPA_CHUNK_FLAG_NONE 0
#define | SPA_CHUNK_FLAG_CORRUPTED (1u<<0)
| chunk data is corrupted in some way
#define | SPA_CHUNK_FLAG_EMPTY (1u<<1)
| chunk data is empty with media specific neutral data such as silence or black.
#define | SPA_DATA_FLAG_NONE 0
#define | SPA_DATA_FLAG_READABLE (1u<<0)
| data is readable
#define | SPA_DATA_FLAG_WRITABLE (1u<<1)
| data is writable
#define | SPA_DATA_FLAG_DYNAMIC (1u<<2)
| data pointer can be changed
#define | SPA_DATA_FLAG_READWRITE (SPA_DATA_FLAG_READABLE|SPA_DATA_FLAG_WRITABLE)
#define | SPA_DATA_FLAG_MAPPABLE (1u<<3)
| data is mappable with simple mmap/munmap.

## Enumerations
enum | spa_data_type { SPA_DATA_Invalid , SPA_DATA_MemPtr , SPA_DATA_MemFd , SPA_DATA_DmaBuf , SPA_DATA_MemId , SPA_DATA_SyncObj , _SPA_DATA_LAST }

## Functions
SPA_API_BUFFER struct spa_meta * | spa_buffer_find_meta (const struct spa_buffer *b, uint32_t type)
| Find metadata in a buffer.
SPA_API_BUFFER void * | spa_buffer_find_meta_data (const struct spa_buffer *b, uint32_t type, size_t size)

## Detailed Description

spa/buffer/buffer.h

## Macro Definition Documentation

## ◆ SPA_API_BUFFER

#define SPA_API_BUFFER static inline